Opened 4 years ago

Last modified 4 years ago

#2111 new defect

files made by ffmpeg cannot correctly be playbacked with panasonic hdd recoder.

Reported by: bonconboy Owned by:
Priority: normal Component: undetermined
Version: git-master Keywords:
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Summary of the bug:
How to reproduce:

% ffmpeg  -i A.avi -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 64000 -r 29.97 A.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
built on Jan  2 2013 18:09:20 with gcc 4.7.2

mkv or mp4 files made by ffmpeg cannot be playbacked with panasonic hdd recoder, irrespective of either filters, x264 options, or inputfiles.
The mkv files are converted to AVCHD(M2TS) by multiAVCHD.
http://www.videohelp.com/tools/multiAVCHD
When playbaking the movies with panasonic hdd recoder, stop, playback, and black screen are repeated. Sometimes, movie files cannot be playbacked at all.

On the other hand, mkv or mp4 files made by hand brake are smoothly playbacked with panasonic hdd recoder

Attachments (18)

output_ffmpeg.mkv (1.9 MB) - added by bonconboy 4 years ago.
output_handbrake.mkv (1.9 MB) - added by bonconboy 4 years ago.
output_ffmpeg_vsync.mkv (1.9 MB) - added by bonconboy 4 years ago.
output_ffmpeg_25.mkv (1.9 MB) - added by bonconboy 4 years ago.
output_ffmpeg_no29.mkv (1.9 MB) - added by bonconboy 4 years ago.
output_ffmpeg_vsync.mp4 (1.9 MB) - added by bonconboy 4 years ago.
output_ffmpeg_25.mp4 (1.9 MB) - added by bonconboy 4 years ago.
output_ffmpeg_no29.mp4 (1.9 MB) - added by bonconboy 4 years ago.
output_ffmpeg_map.mkv (1.9 MB) - added by bonconboy 4 years ago.
output_ffmpeg_bitexact.mkv (1.9 MB) - added by bonconboy 4 years ago.
00000.MTS (2.2 MB) - added by bonconboy 4 years ago.
00001.MTS (2.2 MB) - added by bonconboy 4 years ago.
00002.MTS (2.2 MB) - added by bonconboy 4 years ago.
00003.MTS (2.2 MB) - added by bonconboy 4 years ago.
o_ff_mp4.mp4 (1.9 MB) - added by bonconboy 4 years ago.
mp4 file made by ffmpeg
o_ff_mp4_to_m2ts.m2ts (2.2 MB) - added by bonconboy 4 years ago.
m2ts converted from mp4 file made by ffmpeg by ffmpeg
o_ff_mkv.mkv (1.9 MB) - added by bonconboy 4 years ago.
mkv file made by ffmpeg
o_ff_mkv_to_m2ts.m2ts (2.2 MB) - added by bonconboy 4 years ago.
m2ts converted from mkv file made by ffmpeg by ffmpeg

Change History (43)

comment:1 Changed 4 years ago by bonconboy

Additional

I found this problem in the summer of 2011. This problem arises and carries on in any input files, even now. The converted files can be playbacked with mplayer, mplayer2, ffplay, and vlc.

The differences I find are that ffmpeg uses Lavf54.59.100 as Writing library and handbrake does libmkv 0.6.5 as Writing library, the displayed image size of ffmpeg is 854x480 and that of handbrake is 853x480.

I don't convert to x264 files by multiAVCHD because multiAVCHD is windows app and convert speed is very very slow on emulation app of MacOSX.

ffmpeg and handbrake(nightly, Version 5112svn x86_64 (2012122801)) consoles
source is DmC: Devil May Cry - Mission 9 EXCLUSIVE Gameplay - Eurogamer
http://www.youtube.com/watch?v=ArGgYqW5Ssk
I couldn't have attached input and output files in this modification because of size limit 2.5 MB.

ffmpeg console

ffmpeg  -i input.mp4 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 64000 -r 29.97 output_ffmpeg.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'output_ffmpeg.mkv':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264, yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 1k tbn, 29.97 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, fltp, 64 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame= 6279 fps= 79 q=-1.0 Lsize=   45017kB time=00:04:11.16 bitrate=1468.3kbits/s    
video:42954kB audio:1962kB subtitle:0 global headers:0kB muxing overhead 0.222606%
[libx264 @ 0x102873000] frame I:55    Avg QP:22.00  size: 28966
[libx264 @ 0x102873000] frame P:3319  Avg QP:25.17  size: 10161
[libx264 @ 0x102873000] frame B:2905  Avg QP:27.50  size:  2984
[libx264 @ 0x102873000] consecutive B-frames: 19.0% 53.2% 13.9% 13.9%
[libx264 @ 0x102873000] mb I  I16..4:  8.9% 65.0% 26.1%
[libx264 @ 0x102873000] mb P  I16..4:  2.8% 11.4%  2.8%  P16..4: 39.0% 20.7%  9.5%  0.0%  0.0%    skip:13.8%
[libx264 @ 0x102873000] mb B  I16..4:  0.2%  0.7%  0.4%  B16..8: 38.8%  8.6%  2.0%  direct: 2.9%  skip:46.3%  L0:36.6% L1:56.2% BI: 7.2%
[libx264 @ 0x102873000] 8x8 transform intra:66.4% inter:66.0%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 64.2% 79.7% 37.5% inter: 24.0% 26.8% 1.7%
[libx264 @ 0x102873000] i16 v,h,dc,p: 27% 28%  5% 40%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 18% 20% 16%  6%  8%  8%  9%  7%  8%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 23% 21% 15%  5%  8%  8%  8%  6%  5%
[libx264 @ 0x102873000] i8c dc,h,v,p: 48% 23% 19% 10%
[libx264 @ 0x102873000] Weighted P-Frames: Y:3.5% UV:2.4%
[libx264 @ 0x102873000] ref P L0: 66.5% 19.7%  9.7%  4.0%  0.1%
[libx264 @ 0x102873000] ref B L0: 91.6%  7.8%  0.5%
[libx264 @ 0x102873000] ref B L1: 97.7%  2.3%
[libx264 @ 0x102873000] kb/s:1401.06

handbrake console

[14:53:49] macgui: Rip: Pending queue count is 0
[14:53:52] macgui: getNextPendingQueueIndex next pending encode index is:2
[14:53:52] macgui: scanning specifically for title: 1
[14:53:52] hb_scan: path=/Volumes/Y/281112CHD/input.mp4, title_index=1
libbluray/bdnav/index_parse.c:162: indx_parse(): error opening /Volumes/Y/281112CHD/input.mp4/BDMV/index.bdmv
libbluray/bdnav/index_parse.c:162: indx_parse(): error opening /Volumes/Y/281112CHD/input.mp4/BDMV/BACKUP/index.bdmv
libbluray/bluray.c:1725: nav_get_title_list(/Volumes/Y/281112CHD/input.mp4) failed (0x115832600)
[14:53:52] bd: not a bd - trying as a stream/file instead
libdvdnav: Using dvdnav version 4.1.3
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdnav:DVDOpenFileUDF:UDFFindFile /VIDEO_TS/VIDEO_TS.IFO failed
libdvdnav:DVDOpenFileUDF:UDFFindFile /VIDEO_TS/VIDEO_TS.BUP failed
libdvdread: Can't open file VIDEO_TS.IFO.
libdvdnav: vm: failed to read VIDEO_TS.IFO
[14:53:52] dvd: not a dvd - trying as a stream/file instead
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from '/Volumes/Y/281112CHD/input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0.0(und): Video: h264 (High), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
    Stream #0.1(und): Audio: aac, 44100 Hz, stereo, s16, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
[14:53:52] scan: decoding previews for title 1
[14:53:53] scan: 10 previews, 1920x1080, 25.000 fps, autocrop = 0/0/0/0, aspect 16:9, PAR 1:1
[14:53:53] libhb: scan thread found 1 valid title(s)
[14:53:53] macgui: ScanDone state received from fQueueEncodeLibhb
[14:53:53] macgui: Preset: Custom
[14:53:53] macgui: processNewQueueEncode number of passes expected is: 1
[14:53:53] macgui: Start / Stop set to chapters
[14:53:53] macgui: prepareJob exiting
[14:53:53] 1 job(s) to process
[14:53:53] starting job
[14:53:53] sync: expecting 6279 video frames
[14:53:53] job configuration:
[14:53:53]  * source
[14:53:53]    + /Volumes/Y/281112CHD/input.mp4
[14:53:53]    + title 1, chapter(s) 1 to 1
[14:53:53]    + container: mov,mp4,m4a,3gp,3g2,mj2
[14:53:53]    + data rate: 5772 kbps
[14:53:53]  * destination
[14:53:53]    + /Volumes/Y/output_handbrake.mkv
[14:53:53]    + container: Matroska (.mkv)
[14:53:53]  * video track
[14:53:53]    + decoder: h264
[14:53:53]      + bitrate 5578 kbps
[14:53:53]    + frame rate: 25.000 fps -> constant 29.970 fps
[14:53:53]    + filters
[14:53:53]      + Framerate Shaper (1:27000000:900900)
[14:53:53]        + frame rate: 29.970 fps -> constant 29.970 fps
[14:53:53]      + Crop and Scale (720:400:0:0:0:0)
[14:53:53]        + source: 1920 * 1080, crop (0/0/0/0): 1920 * 1080, scale: 720 * 400
[14:53:53]    + custom anamorphic
[14:53:53]      + storage dimensions: 720 * 400, mod 16
[14:53:53]      + pixel aspect ratio: 32 / 27
[14:53:53]      + display dimensions: 853 * 400
[14:53:53]    + encoder: H.264 (x264)
[14:53:53]      + quality: 23.00 (RF)
[14:53:53]  * audio track 1
[14:53:53]    + decoder: Unknown (aac) (2.0 ch) (track 1, id 0x1)
[14:53:53]      + bitrate: 192 kbps, samplerate: 44100 Hz
[14:53:53]    + mixdown: Stereo
[14:53:53]    + encoder: AC3 (ffmpeg)
[14:53:53]      + bitrate: 96 kbps, samplerate: 48000 Hz
[14:53:53] reader: first SCR 0 id 0x0 DTS 0
[14:53:53] encx264: min-keyint: 30, keyint: 300
[14:53:53] encx264: encoding with stored aspect 32/27
[14:53:53] encx264: Encoding at constant RF 23.000000
x264 [warning]: --psnr used with psy on: results will be invalid!
x264 [warning]: --tune psnr should be used if attempting to benchmark psnr!
x264 [info]: using SAR=32/27
x264 [info]: using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
x264 [info]: profile High, level 3.0
[14:55:28] reader: done. 1 scr changes
[14:55:30] work: average encoding speed for job is 65.914680 fps
[14:55:30] sync: got 6279 frames, 6279 expected
[14:55:30] render: 7527 frames output, 0 dropped and 1248 duped for CFR/PFR
[14:55:30] render: lost time: 0 (0 frames)
[14:55:30] render: gained time: 0 (0 frames) (0 not accounted for)
[14:55:30] h264-decoder done: 6279 frames, 0 decoder errors, 0 drops
x264 [info]: frame I:56    Avg QP:22.33  size: 25529  PSNR Mean Y:43.66 U:47.99 V:46.50 Avg:44.49 Global:43.85
x264 [info]: frame P:4573  Avg QP:25.36  size:  6925  PSNR Mean Y:40.14 U:45.51 V:43.37 Avg:41.11 Global:40.63
x264 [info]: frame B:2898  Avg QP:28.05  size:  2041  PSNR Mean Y:40.09 U:45.84 V:43.71 Avg:41.12 Global:40.40
x264 [info]: consecutive B-frames: 34.7% 37.3% 13.7% 14.3%
x264 [info]: mb I  I16..4:  8.8% 62.7% 28.5%
x264 [info]: mb P  I16..4:  2.2%  7.8%  2.2%  P16..4: 32.0% 17.5%  8.4%  0.0%  0.0%    skip:30.0%
x264 [info]: mb B  I16..4:  0.1%  0.5%  0.3%  B16..8: 35.1%  7.3%  1.7%  direct: 2.4%  skip:52.5%  L0:38.5% L1:54.7% BI: 6.8%
x264 [info]: 8x8 transform intra:63.5% inter:62.4%
x264 [info]: coded y,uvDC,uvAC intra: 63.3% 78.0% 36.6% inter: 20.6% 21.9% 1.8%
x264 [info]: i16 v,h,dc,p: 27% 31%  6% 36%
x264 [info]: i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 15% 23% 16%  6%  7%  7% 10%  6%  9%
x264 [info]: i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 19% 25% 15%  5%  8%  7%  9%  5%  6%
x264 [info]: i8c dc,h,v,p: 48% 26% 17% 10%
x264 [info]: Weighted P-Frames: Y:2.9% UV:2.0%
x264 [info]: ref P L0: 67.3% 20.0%  8.4%  4.2%  0.1%
x264 [info]: ref B L0: 90.5%  8.8%  0.6%
x264 [info]: ref B L1: 97.5%  2.5%
x264 [info]: SSIM Mean Y:0.9733583 (15.744db)
x264 [info]: PSNR Mean Y:40.148 U:45.653 V:43.525 Avg:41.141 Global:40.557 kb/s:1242.67
[14:55:30] aac-decoder done: 0 frames, 0 decoder errors, 0 drops
[14:55:30] mux: track 0, 7527 frames, 39009659 bytes, 1242.59 kbps, fifo 4096
[14:55:30] mux: track 1, 7848 frames, 3013632 bytes, 95.99 kbps, fifo 4096
[14:55:30] libhb: work result = 0
[14:55:30] macgui: incrementQueueItemDone there are no more pending encodes
Last edited 4 years ago by bonconboy (previous) (diff)

comment:2 Changed 4 years ago by cehoyos

  • Component changed from FFmpeg to undetermined
  • Priority changed from important to normal

Please provide the output of "ffmpeg -i output_ffmpeg.mkv and/or a sample input file?

comment:3 Changed 4 years ago by cehoyos

Skip my first comment, I still have problems understanding your report.

Helpful would be the "ffmpeg -i" output for the Handbrake-encoded file.

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

comment:4 Changed 4 years ago by bonconboy

To upload output files, I encode only 15 seconds.
As a result, I paste new consoles.

ffmpeg console

ffmpeg -i input.mp4  -t 00:00:15 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 96000 -r 29.97 output_ffmpeg.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'output_ffmpeg.mkv':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264, yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 1k tbn, 29.97 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   68 fps=0.0 q=28.0 size=       1kB time=00:00:02.93 bitrate=   2.8kbits/frame=  126 fps=125 q=29.0 size=     194kB time=00:00:05.37 bitrate= 295.8kbits/frame=  184 fps=122 q=29.0 size=     385kB time=00:00:07.32 bitrate= 430.4kbits/frame=  243 fps=121 q=27.0 size=     570kB time=00:00:09.75 bitrate= 479.0kbits/frame=  288 fps=114 q=29.0 size=     862kB time=00:00:11.70 bitrate= 603.5kbits/frame=  325 fps=108 q=28.0 size=    1182kB time=00:00:13.17 bitrate= 735.0kbits/frame=  369 fps=105 q=27.0 size=    1545kB time=00:00:12.44 bitrate=1017.0kbits/frame=  375 fps= 95 q=-1.0 Lsize=    1979kB time=00:00:15.00 bitrate=1080.8kbits/s    
video:1797kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.354533%
[libx264 @ 0x102873000] frame I:9     Avg QP:21.70  size: 16250
[libx264 @ 0x102873000] frame P:254   Avg QP:23.82  size:  5820
[libx264 @ 0x102873000] frame B:112   Avg QP:24.80  size:  1916
[libx264 @ 0x102873000] consecutive B-frames: 44.3% 47.5%  0.8%  7.5%
[libx264 @ 0x102873000] mb I  I16..4: 17.6% 66.6% 15.8%
[libx264 @ 0x102873000] mb P  I16..4:  6.9% 15.5%  1.7%  P16..4: 34.4% 10.8%  4.5%  0.0%  0.0%    skip:26.3%
[libx264 @ 0x102873000] mb B  I16..4:  0.3%  0.5%  0.1%  B16..8: 32.0%  5.3%  1.1%  direct: 2.6%  skip:58.2%  L0:32.7% L1:60.6% BI: 6.7%
[libx264 @ 0x102873000] 8x8 transform intra:64.6% inter:77.1%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 42.8% 61.5% 18.5% inter: 17.8% 25.1% 1.1%
[libx264 @ 0x102873000] i16 v,h,dc,p: 35% 30%  6% 29%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 24% 22% 22%  4%  6%  6%  7%  5%  5%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  7%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 19%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:14.2% UV:10.2%
[libx264 @ 0x102873000] ref P L0: 65.4% 18.6% 11.6%  4.1%  0.3%
[libx264 @ 0x102873000] ref B L0: 88.8% 11.2%
[libx264 @ 0x102873000] ref B L1: 99.8%  0.2%
[libx264 @ 0x102873000] kb/s:982.01

hand brake console

[02:54:08] hb_init: starting libhb thread
[02:54:08] macgui: Handbrake Version: 5112svn x86_64 (2012122801)
[02:54:08] hb_init: starting libhb thread
[02:54:08] hb_init: starting libhb thread
[02:54:08] macgui: hbInstances path to this instance: /Applications/HandBrake.app
[02:54:08] macgui: hbInstance found instance pidnum:784 at path: /Applications/HandBrake.app
[02:54:08] macgui: hbInstance MATCH FOUND, our pidnum is:784
[02:54:08] macgui: Pid for this instance:784
[02:54:08] macgui: HBQueueController : My Pidnum is 784
[02:54:15] macgui: trying to open video_ts folder (parent directory chosen)
[02:54:15] macgui: scanning titles with a duration of 10 seconds or more
[02:54:15] hb_scan: path=/Volumes/Y/281112CHD/input.mp4, title_index=0
libbluray/bdnav/index_parse.c:162: indx_parse(): error opening /Volumes/Y/281112CHD/input.mp4/BDMV/index.bdmv
libbluray/bdnav/index_parse.c:162: indx_parse(): error opening /Volumes/Y/281112CHD/input.mp4/BDMV/BACKUP/index.bdmv
libbluray/bluray.c:1725: nav_get_title_list(/Volumes/Y/281112CHD/input.mp4) failed (0x10302c200)
[02:54:15] bd: not a bd - trying as a stream/file instead
libdvdnav: Using dvdnav version 4.1.3
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdnav:DVDOpenFileUDF:UDFFindFile /VIDEO_TS/VIDEO_TS.IFO failed
libdvdnav:DVDOpenFileUDF:UDFFindFile /VIDEO_TS/VIDEO_TS.BUP failed
libdvdread: Can't open file VIDEO_TS.IFO.
libdvdnav: vm: failed to read VIDEO_TS.IFO
[02:54:15] dvd: not a dvd - trying as a stream/file instead
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from '/Volumes/Y/281112CHD/input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0.0(und): Video: h264 (High), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
    Stream #0.1(und): Audio: aac, 44100 Hz, stereo, s16, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
[02:54:15] scan: decoding previews for title 1
[02:54:16] scan: 10 previews, 1920x1080, 25.000 fps, autocrop = 4/0/0/6, aspect 16:9, PAR 1:1
[02:54:16] libhb: scan thread found 1 valid title(s)
[02:54:16] macgui: showNewScan: This is a new source item scan
[02:59:46] macgui: Rip: Pending queue count is 0
[02:59:48] macgui: getNextPendingQueueIndex next pending encode index is:0
[02:59:48] macgui: scanning specifically for title: 1
[02:59:48] hb_scan: path=/Volumes/Y/281112CHD/input.mp4, title_index=1
libbluray/bdnav/index_parse.c:162: indx_parse(): error opening /Volumes/Y/281112CHD/input.mp4/BDMV/index.bdmv
libbluray/bdnav/index_parse.c:162: indx_parse(): error opening /Volumes/Y/281112CHD/input.mp4/BDMV/BACKUP/index.bdmv
libbluray/bluray.c:1725: nav_get_title_list(/Volumes/Y/281112CHD/input.mp4) failed (0x103903a00)
[02:59:48] bd: not a bd - trying as a stream/file instead
libdvdnav: Using dvdnav version 4.1.3
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdnav:DVDOpenFileUDF:UDFFindFile /VIDEO_TS/VIDEO_TS.IFO failed
libdvdnav:DVDOpenFileUDF:UDFFindFile /VIDEO_TS/VIDEO_TS.BUP failed
libdvdread: Can't open file VIDEO_TS.IFO.
libdvdnav: vm: failed to read VIDEO_TS.IFO
[02:59:48] dvd: not a dvd - trying as a stream/file instead
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from '/Volumes/Y/281112CHD/input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0.0(und): Video: h264 (High), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
    Stream #0.1(und): Audio: aac, 44100 Hz, stereo, s16, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
[02:59:48] scan: decoding previews for title 1
[02:59:49] scan: 10 previews, 1920x1080, 25.000 fps, autocrop = 4/0/0/6, aspect 16:9, PAR 1:1
[02:59:49] libhb: scan thread found 1 valid title(s)
[02:59:49] macgui: ScanDone state received from fQueueEncodeLibhb
[02:59:49] macgui: Preset: Custom
[02:59:49] macgui: processNewQueueEncode number of passes expected is: 1
[02:59:49] macgui: Start / Stop set to seconds…
[02:59:49] macgui: prepareJob exiting
[02:59:49] 1 job(s) to process
[02:59:49] starting job
[02:59:49] sync: expecting 400 video frames
[02:59:49] work: only 1 chapter, disabling chapter markers
[02:59:49] job configuration:
[02:59:49]  * source
[02:59:49]    + /Volumes/Y/281112CHD/input.mp4
[02:59:49]    + title 1, start 0:0:0.00 stop 0:0:15.00
[02:59:49]    + container: mov,mp4,m4a,3gp,3g2,mj2
[02:59:49]    + data rate: 5772 kbps
[02:59:49]  * destination
[02:59:49]    + /Volumes/Y/output_handbrake.mkv
[02:59:49]    + container: Matroska (.mkv)
[02:59:49]  * video track
[02:59:49]    + decoder: h264
[02:59:49]      + bitrate 5578 kbps
[02:59:49]    + frame rate: 25.000 fps -> constant 29.970 fps
[02:59:49]    + filters
[02:59:49]      + Framerate Shaper (1:27000000:900900)
[02:59:49]        + frame rate: 29.970 fps -> constant 29.970 fps
[02:59:49]      + Crop and Scale (720:480:0:0:0:0)
[02:59:49]        + source: 1920 * 1080, crop (0/0/0/0): 1920 * 1080, scale: 720 * 480
[02:59:49]    + custom anamorphic
[02:59:49]      + storage dimensions: 720 * 480, mod 2
[02:59:49]      + pixel aspect ratio: 32 / 27
[02:59:49]      + display dimensions: 853 * 480
[02:59:49]    + encoder: H.264 (x264)
[02:59:49]      + quality: 23.00 (RF)
[02:59:49]  * audio track 1
[02:59:49]    + decoder: Unknown (aac) (2.0 ch) (track 1, id 0x1)
[02:59:49]      + bitrate: 192 kbps, samplerate: 44100 Hz
[02:59:49]    + mixdown: Stereo
[02:59:49]    + encoder: AC3 (ffmpeg)
[02:59:49]      + bitrate: 96 kbps, samplerate: 48000 Hz
[02:59:49] reader: first SCR 0 id 0x0 DTS 0
[02:59:49] encx264: min-keyint: 30, keyint: 300
[02:59:49] encx264: encoding with stored aspect 32/27
[02:59:49] encx264: Encoding at constant RF 23.000000
x264 [warning]: --psnr used with psy on: results will be invalid!
x264 [warning]: --tune psnr should be used if attempting to benchmark psnr!
x264 [info]: using SAR=32/27
x264 [info]: using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
x264 [info]: profile High, level 3.0
[02:59:54] sync: reached pts 1350000, exiting early
[02:59:54] work: average encoding speed for job is 82.819817 fps
[02:59:54] sync: got 375 frames, 400 expected
[02:59:55] render: 449 frames output, 0 dropped and 74 duped for CFR/PFR
[02:59:55] render: lost time: 0 (0 frames)
[02:59:55] render: gained time: 0 (0 frames) (0 not accounted for)
[02:59:55] h264-decoder done: 483 frames, 0 decoder errors, 0 drops
[02:59:55] reader: done. 1 scr changes
x264 [info]: frame I:8     Avg QP:21.94  size: 16874  PSNR Mean Y:46.28 U:49.28 V:49.21 Avg:47.03 Global:45.76
x264 [info]: frame P:332   Avg QP:23.84  size:  4644  PSNR Mean Y:44.03 U:47.24 V:47.10 Avg:44.81 Global:43.55
x264 [info]: frame B:109   Avg QP:26.69  size:  1457  PSNR Mean Y:44.94 U:47.84 V:48.13 Avg:45.67 Global:43.62
x264 [info]: consecutive B-frames: 56.3% 33.0%  2.7%  8.0%
x264 [info]: mb I  I16..4: 19.2% 65.1% 15.7%
x264 [info]: mb P  I16..4:  6.5% 12.4%  1.4%  P16..4: 28.3%  8.8%  3.6%  0.0%  0.0%    skip:39.0%
x264 [info]: mb B  I16..4:  0.4%  0.4%  0.1%  B16..8: 27.6%  4.2%  0.8%  direct: 2.0%  skip:64.6%  L0:33.9% L1:60.6% BI: 5.5%
x264 [info]: 8x8 transform intra:61.3% inter:74.8%
x264 [info]: coded y,uvDC,uvAC intra: 38.2% 54.6% 16.1% inter: 14.0% 19.2% 0.9%
x264 [info]: i16 v,h,dc,p: 40% 28%  7% 25%
x264 [info]: i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 25% 19% 24%  4%  6%  6%  7%  5%  4%
x264 [info]: i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 31% 21% 13%  4%  8%  7%  8%  5%  3%
x264 [info]: i8c dc,h,v,p: 56% 20% 19%  4%
x264 [info]: Weighted P-Frames: Y:11.7% UV:8.4%
x264 [info]: ref P L0: 65.5% 18.9% 10.4%  4.9%  0.3%
x264 [info]: ref B L0: 87.2% 12.8%  0.0%
x264 [info]: ref B L1: 99.0%  1.0%
x264 [info]: SSIM Mean Y:0.9840744 (17.979db)
x264 [info]: PSNR Mean Y:44.287 U:47.422 V:47.389 Avg:45.058 Global:43.600 kb/s:980.12
[02:59:55] aac-decoder done: 0 frames, 0 decoder errors, 0 drops
[02:59:55] mux: track 0, 449 frames, 1835161 bytes, 979.95 kbps, fifo 512
[02:59:55] mux: track 1, 469 frames, 180096 bytes, 96.17 kbps, fifo 512
[02:59:55] libhb: work result = 0
[02:59:55] macgui: incrementQueueItemDone there are no more pending encodes

comment:5 Changed 4 years ago by bonconboy

I forget the "ffmpeg -i console" of the file made by handbrake.

ffmpeg -i output_handbrake.mkv

fmpeg -i output_handbrake.mkv 
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, matroska,webm, from 'output_handbrake.mkv':
  Duration: 00:00:14.98, start: 0.000000, bitrate: 1084 kb/s
    Stream #0:0(eng): Video: h264 (High), yuv420p, 720x480 [SAR 32:27 DAR 16:9], SAR 186:157 DAR 279:157, 29.97 fps, 29.97 tbr, 1k tbn, 59.94 tbc (default)
    Stream #0:1: Audio: ac3, 48000 Hz, stereo, fltp, 96 kb/s (default)
At least one output file must be specified
Version 0, edited 4 years ago by bonconboy (next)

comment:6 Changed 4 years ago by cehoyos

ffmpeg -i output for the handbrake file looks different here:

$ md5sum output_handbrake.mkv
55516346bfc0fba1559ad73e0cbcaabe  output_handbrake.mkv
$ ffmpeg -i output_handbrake.mkv
ffmpeg version N-48392-g5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  6 2013 09:30:20 with gcc 4.7 (SUSE Linux)
  configuration:
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
Input #0, matroska,webm, from 'output_handbrake.mkv':
  Duration: 00:00:15.00, start: 0.000000, bitrate: 1084 kb/s
    Stream #0:0(eng): Video: h264 (High), yuv420p, 720x480 [SAR 32:27 DAR 16:9], SAR 186:157 DAR 279:157, 25 fps, 25 tbr, 1k tbn, 180k tbc (default)
    Stream #0:1: Audio: ac3, 48000 Hz, stereo, fltp, 96 kb/s (default)
At least one output file must be specified

comment:7 follow-up: Changed 4 years ago by reimar

FFmpeg encodes 375 frames, handbrake 483.
Most likely your hardware player is broken and can't handle VFR mkv.
In that case you need to use the -vsync 1 option.

comment:8 in reply to: ↑ 7 Changed 4 years ago by cehoyos

Replying to reimar:

FFmpeg encodes 375 frames, handbrake 483.
Most likely your hardware player is broken and can't handle VFR mkv.

My guess would have been it fails to decode 30fps (but that may be wrong), I am very curious why I cannot reproduce the posted console output.

In that case you need to use the -vsync 1 option.

Or use -r 25 (or remove -r 29.97).

comment:9 follow-up: Changed 4 years ago by bonconboy

Thank you for replies.

I am very curious why I cannot reproduce the posted console output.

me, too.
The file downloaded from this site is "Duration: 00:00:15.00". But, the file in my hdd is "Duration: 00:00:14.98".

I will try -vsync 1 option, -r 25, and remove -r 29.97.

comment:10 Changed 4 years ago by cehoyos

Didn’t you upload the file?

comment:11 in reply to: ↑ 9 Changed 4 years ago by bonconboy

Result
-vsync 1 option
stop, playback, and black screen are repeated. Same as no -vsync 1 option.
-r 25
Playback is impposible.
remove -r 29.97
Playback is impposible.

Also, mp4 file is the same result.

The below is each console.
-vsync 1 option

ffmpeg -i input.mp4  -t 00:00:15 -vsync 1 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 96000 output_ffmpeg_vsync.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'output_ffmpeg_vsync.mkv':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264, yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 1k tbn, 29.97 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   74 fps=0.0 q=29.0 size=      33kB time=00:00:02.42 bitrate= 111.5kbits/frame=  133 fps=132 q=29.0 size=     180kB time=00:00:04.37 bitrate= 336.0kbits/frame=  195 fps=129 q=29.0 size=     356kB time=00:00:06.84 bitrate= 425.8kbits/frame=  260 fps=129 q=29.0 size=     472kB time=00:00:08.79 bitrate= 440.0kbits/frame=  305 fps=121 q=29.0 size=     696kB time=00:00:10.23 bitrate= 557.4kbits/frame=  351 fps=116 q=29.0 size=    1021kB time=00:00:11.73 bitrate= 712.6kbits/frame=  386 fps=110 q=29.0 size=    1245kB time=00:00:13.17 bitrate= 773.9kbits/frame=  430 fps=107 q=29.0 size=    1511kB time=00:00:14.61 bitrate= 846.6kbits/frame=  450 fps= 98 q=-1.0 Lsize=    1954kB time=00:00:15.00 bitrate=1066.8kbits/s dup=75 drop=0    
video:1770kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.386350%
[libx264 @ 0x102873000] frame I:10    Avg QP:21.48  size: 14929
[libx264 @ 0x102873000] frame P:295   Avg QP:23.69  size:  4984
[libx264 @ 0x102873000] frame B:145   Avg QP:25.69  size:  1329
[libx264 @ 0x102873000] consecutive B-frames: 40.7% 48.0%  3.3%  8.0%
[libx264 @ 0x102873000] mb I  I16..4: 17.6% 67.6% 14.7%
[libx264 @ 0x102873000] mb P  I16..4:  5.7% 12.9%  1.4%  P16..4: 31.8%  9.3%  4.0%  0.0%  0.0%    skip:34.8%
[libx264 @ 0x102873000] mb B  I16..4:  0.2%  0.3%  0.1%  B16..8: 25.6%  3.7%  0.7%  direct: 1.7%  skip:67.6%  L0:30.1% L1:64.4% BI: 5.5%
[libx264 @ 0x102873000] 8x8 transform intra:64.7% inter:77.3%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 42.7% 60.8% 18.1% inter: 14.1% 20.1% 0.8%
[libx264 @ 0x102873000] i16 v,h,dc,p: 35% 30%  6% 30%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 24% 22% 22%  4%  6%  6%  7%  5%  4%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  8%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 18%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:12.5% UV:8.8%
[libx264 @ 0x102873000] ref P L0: 65.6% 18.3% 11.6%  4.2%  0.3%
[libx264 @ 0x102873000] ref B L0: 87.7% 12.3%  0.0%
[libx264 @ 0x102873000] ref B L1: 99.7%  0.3%
[libx264 @ 0x102873000] kb/s:965.54

-r 25

ffmpeg -i input.mp4  -t 00:00:15 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 25 -acodec ac3 -ac 2 -ar 48000 -ab 96000 output_ffmpeg_25.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'output_ffmpeg_25.mkv':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264, yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 1k tbn, 25 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   65 fps=0.0 q=28.0 size=       1kB time=00:00:02.45 bitrate=   3.4kbits/frame=  115 fps=115 q=28.0 size=     146kB time=00:00:04.89 bitrate= 245.2kbits/frame=  168 fps=112 q=28.0 size=     353kB time=00:00:06.84 bitrate= 422.4kbits/frame=  224 fps=112 q=28.0 size=     449kB time=00:00:09.27 bitrate= 396.4kbits/frame=  269 fps=107 q=28.0 size=     732kB time=00:00:10.74 bitrate= 557.8kbits/frame=  303 fps=100 q=28.0 size=    1023kB time=00:00:12.18 bitrate= 687.6kbits/frame=  334 fps= 95 q=28.0 size=    1295kB time=00:00:13.65 bitrate= 776.6kbits/frame=  373 fps= 93 q=28.0 size=    1583kB time=00:00:12.60 bitrate=1029.1kbits/frame=  375 fps= 84 q=-1.0 Lsize=    1977kB time=00:00:15.00 bitrate=1079.6kbits/s    
video:1794kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.354832%
[libx264 @ 0x102873000] frame I:9     Avg QP:21.64  size: 16085
[libx264 @ 0x102873000] frame P:254   Avg QP:23.78  size:  5811
[libx264 @ 0x102873000] frame B:112   Avg QP:24.74  size:  1927
[libx264 @ 0x102873000] consecutive B-frames: 44.3% 47.5%  0.8%  7.5%
[libx264 @ 0x102873000] mb I  I16..4: 17.7% 66.7% 15.7%
[libx264 @ 0x102873000] mb P  I16..4:  6.5% 15.6%  1.7%  P16..4: 35.3% 10.7%  4.6%  0.0%  0.0%    skip:25.7%
[libx264 @ 0x102873000] mb B  I16..4:  0.3%  0.4%  0.1%  B16..8: 32.2%  5.4%  1.1%  direct: 2.6%  skip:57.8%  L0:32.9% L1:60.5% BI: 6.6%
[libx264 @ 0x102873000] 8x8 transform intra:65.5% inter:77.3%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 43.6% 62.3% 18.4% inter: 18.0% 25.6% 1.0%
[libx264 @ 0x102873000] i16 v,h,dc,p: 33% 31%  6% 31%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 25% 21% 22%  4%  6%  6%  7%  5%  4%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  7%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 18%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:14.2% UV:10.2%
[libx264 @ 0x102873000] ref P L0: 65.5% 18.6% 11.5%  4.0%  0.3%
[libx264 @ 0x102873000] ref B L0: 87.7% 12.3%
[libx264 @ 0x102873000] ref B L1: 99.7%  0.3%
[libx264 @ 0x102873000] kb/s:979.60

remove -r 29.97

ffmpeg -i input.mp4  -t 00:00:15 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -acodec ac3 -ac 2 -ar 48000 -ab 96000 output_ffmpeg_no29.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'output_ffmpeg_no29.mkv':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264, yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 1k tbn, 25 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   64 fps=0.0 q=28.0 size=       1kB time=00:00:02.42 bitrate=   3.4kbits/frame=  115 fps=114 q=28.0 size=     146kB time=00:00:04.89 bitrate= 245.2kbits/frame=  171 fps=113 q=28.0 size=     353kB time=00:00:06.84 bitrate= 422.4kbits/frame=  223 fps=110 q=28.0 size=     449kB time=00:00:09.27 bitrate= 396.4kbits/frame=  266 fps=105 q=28.0 size=     700kB time=00:00:10.71 bitrate= 535.0kbits/frame=  304 fps=100 q=28.0 size=    1023kB time=00:00:12.18 bitrate= 687.6kbits/frame=  337 fps= 95 q=28.0 size=    1327kB time=00:00:13.65 bitrate= 795.8kbits/frame=  375 fps= 93 q=28.0 size=    1583kB time=00:00:12.68 bitrate=1022.6kbits/frame=  375 fps= 84 q=-1.0 Lsize=    1977kB time=00:00:15.00 bitrate=1079.6kbits/s    
video:1794kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.354832%
[libx264 @ 0x102873000] frame I:9     Avg QP:21.64  size: 16085
[libx264 @ 0x102873000] frame P:254   Avg QP:23.78  size:  5811
[libx264 @ 0x102873000] frame B:112   Avg QP:24.74  size:  1927
[libx264 @ 0x102873000] consecutive B-frames: 44.3% 47.5%  0.8%  7.5%
[libx264 @ 0x102873000] mb I  I16..4: 17.7% 66.7% 15.7%
[libx264 @ 0x102873000] mb P  I16..4:  6.5% 15.6%  1.7%  P16..4: 35.3% 10.7%  4.6%  0.0%  0.0%    skip:25.7%
[libx264 @ 0x102873000] mb B  I16..4:  0.3%  0.4%  0.1%  B16..8: 32.2%  5.4%  1.1%  direct: 2.6%  skip:57.8%  L0:32.9% L1:60.5% BI: 6.6%
[libx264 @ 0x102873000] 8x8 transform intra:65.5% inter:77.3%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 43.6% 62.3% 18.4% inter: 18.0% 25.6% 1.0%
[libx264 @ 0x102873000] i16 v,h,dc,p: 33% 31%  6% 31%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 25% 21% 22%  4%  6%  6%  7%  5%  4%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  7%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 18%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:14.2% UV:10.2%
[libx264 @ 0x102873000] ref P L0: 65.5% 18.6% 11.5%  4.0%  0.3%
[libx264 @ 0x102873000] ref B L0: 87.7% 12.3%
[libx264 @ 0x102873000] ref B L1: 99.7%  0.3%
[libx264 @ 0x102873000] kb/s:979.60

-vsync 1 mp4

ffmpeg -i input.mp4  -t 00:00:15 -vsync 1 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 96000 output_ffmpeg_vsync.mp4
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, mp4, to 'output_ffmpeg_vsync.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264 ([33][0][0][0] / 0x0021), yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 11988 tbn, 29.97 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3 ([165][0][0][0] / 0x00A5), 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   71 fps=0.0 q=29.0 size=      34kB time=00:00:02.42 bitrate= 113.6kbits/frame=  127 fps=126 q=29.0 size=     175kB time=00:00:04.37 bitrate= 327.6kbits/frame=  182 fps=120 q=29.0 size=     322kB time=00:00:06.33 bitrate= 417.0kbits/frame=  243 fps=121 q=29.0 size=     456kB time=00:00:08.28 bitrate= 451.2kbits/frame=  294 fps=117 q=29.0 size=     664kB time=00:00:09.75 bitrate= 558.0kbits/frame=  338 fps=112 q=29.0 size=     903kB time=00:00:11.70 bitrate= 632.2kbits/frame=  374 fps=106 q=29.0 size=    1180kB time=00:00:12.66 bitrate= 763.3kbits/frame=  419 fps=104 q=29.0 size=    1467kB time=00:00:14.13 bitrate= 850.1kbits/frame=  450 fps= 95 q=-1.0 Lsize=    1956kB time=00:00:15.00 bitrate=1067.9kbits/s dup=75 drop=0    
video:1770kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.483340%
[libx264 @ 0x102873000] frame I:10    Avg QP:21.48  size: 14929
[libx264 @ 0x102873000] frame P:295   Avg QP:23.69  size:  4984
[libx264 @ 0x102873000] frame B:145   Avg QP:25.69  size:  1329
[libx264 @ 0x102873000] consecutive B-frames: 40.7% 48.0%  3.3%  8.0%
[libx264 @ 0x102873000] mb I  I16..4: 17.6% 67.6% 14.7%
[libx264 @ 0x102873000] mb P  I16..4:  5.7% 12.9%  1.4%  P16..4: 31.8%  9.3%  4.0%  0.0%  0.0%    skip:34.8%
[libx264 @ 0x102873000] mb B  I16..4:  0.2%  0.3%  0.1%  B16..8: 25.6%  3.7%  0.7%  direct: 1.7%  skip:67.6%  L0:30.1% L1:64.4% BI: 5.5%
[libx264 @ 0x102873000] 8x8 transform intra:64.7% inter:77.3%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 42.7% 60.8% 18.1% inter: 14.1% 20.1% 0.8%
[libx264 @ 0x102873000] i16 v,h,dc,p: 35% 30%  6% 30%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 24% 22% 22%  4%  6%  6%  7%  5%  4%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  8%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 18%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:12.5% UV:8.8%
[libx264 @ 0x102873000] ref P L0: 65.6% 18.3% 11.6%  4.2%  0.3%
[libx264 @ 0x102873000] ref B L0: 87.7% 12.3%  0.0%
[libx264 @ 0x102873000] ref B L1: 99.7%  0.3%
[libx264 @ 0x102873000] kb/s:965.54

-r 25 mp4

ffmpeg -i input.mp4  -t 00:00:15 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 25 -acodec ac3 -ac 2 -ar 48000 -ab 96000 output_ffmpeg_25.mp4
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, mp4, to 'output_ffmpeg_25.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264 ([33][0][0][0] / 0x0021), yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 12800 tbn, 25 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3 ([165][0][0][0] / 0x00A5), 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   62 fps=0.0 q=28.0 size=      17kB time=00:00:02.42 bitrate=  56.8kbits/frame=  110 fps=107 q=28.0 size=     154kB time=00:00:04.37 bitrate= 288.3kbits/frame=  163 fps=106 q=28.0 size=     330kB time=00:00:06.84 bitrate= 395.4kbits/frame=  214 fps=105 q=28.0 size=     455kB time=00:00:08.79 bitrate= 424.1kbits/frame=  254 fps=100 q=28.0 size=     655kB time=00:00:10.23 bitrate= 524.6kbits/frame=  290 fps= 95 q=28.0 size=     903kB time=00:00:11.70 bitrate= 631.7kbits/frame=  321 fps= 91 q=28.0 size=    1186kB time=00:00:13.17 bitrate= 737.5kbits/frame=  356 fps= 88 q=28.0 size=    1465kB time=00:00:14.61 bitrate= 821.0kbits/frame=  375 fps= 80 q=-1.0 Lsize=    1980kB time=00:00:15.00 bitrate=1081.2kbits/s    
video:1794kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.493514%
[libx264 @ 0x102873000] frame I:9     Avg QP:21.64  size: 16085
[libx264 @ 0x102873000] frame P:254   Avg QP:23.78  size:  5811
[libx264 @ 0x102873000] frame B:112   Avg QP:24.74  size:  1927
[libx264 @ 0x102873000] consecutive B-frames: 44.3% 47.5%  0.8%  7.5%
[libx264 @ 0x102873000] mb I  I16..4: 17.7% 66.7% 15.7%
[libx264 @ 0x102873000] mb P  I16..4:  6.5% 15.6%  1.7%  P16..4: 35.3% 10.7%  4.6%  0.0%  0.0%    skip:25.7%
[libx264 @ 0x102873000] mb B  I16..4:  0.3%  0.4%  0.1%  B16..8: 32.2%  5.4%  1.1%  direct: 2.6%  skip:57.8%  L0:32.9% L1:60.5% BI: 6.6%
[libx264 @ 0x102873000] 8x8 transform intra:65.5% inter:77.3%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 43.6% 62.3% 18.4% inter: 18.0% 25.6% 1.0%
[libx264 @ 0x102873000] i16 v,h,dc,p: 33% 31%  6% 31%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 25% 21% 22%  4%  6%  6%  7%  5%  4%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  7%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 18%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:14.2% UV:10.2%
[libx264 @ 0x102873000] ref P L0: 65.5% 18.6% 11.5%  4.0%  0.3%
[libx264 @ 0x102873000] ref B L0: 87.7% 12.3%
[libx264 @ 0x102873000] ref B L1: 99.7%  0.3%
[libx264 @ 0x102873000] kb/s:979.60

remove -r 29.97 mp4

ffmpeg -i input.mp4  -t 00:00:15 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -acodec ac3 -ac 2 -ar 48000 -ab 96000 output_ffmpeg_no29.mp4
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, mp4, to 'output_ffmpeg_no29.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264 ([33][0][0][0] / 0x0021), yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 12800 tbn, 25 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3 ([165][0][0][0] / 0x00A5), 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   65 fps=0.0 q=28.0 size=      24kB time=00:00:02.55 bitrate=  77.1kbits/frame=  118 fps=118 q=28.0 size=     180kB time=00:00:04.89 bitrate= 302.0kbits/frame=  171 fps=114 q=28.0 size=     362kB time=00:00:06.84 bitrate= 434.0kbits/frame=  227 fps=113 q=28.0 size=     484kB time=00:00:09.27 bitrate= 427.7kbits/frame=  268 fps=107 q=25.0 size=     734kB time=00:00:10.71 bitrate= 561.2kbits/frame=  302 fps=100 q=28.0 size=    1028kB time=00:00:12.18 bitrate= 690.9kbits/frame=  331 fps= 94 q=28.0 size=    1257kB time=00:00:13.65 bitrate= 753.9kbits/frame=  370 fps= 92 q=28.0 size=    1561kB time=00:00:12.48 bitrate=1024.6kbits/frame=  375 fps= 83 q=-1.0 Lsize=    1980kB time=00:00:15.00 bitrate=1081.2kbits/s    
video:1794kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.493514%
[libx264 @ 0x102873000] frame I:9     Avg QP:21.64  size: 16085
[libx264 @ 0x102873000] frame P:254   Avg QP:23.78  size:  5811
[libx264 @ 0x102873000] frame B:112   Avg QP:24.74  size:  1927
[libx264 @ 0x102873000] consecutive B-frames: 44.3% 47.5%  0.8%  7.5%
[libx264 @ 0x102873000] mb I  I16..4: 17.7% 66.7% 15.7%
[libx264 @ 0x102873000] mb P  I16..4:  6.5% 15.6%  1.7%  P16..4: 35.3% 10.7%  4.6%  0.0%  0.0%    skip:25.7%
[libx264 @ 0x102873000] mb B  I16..4:  0.3%  0.4%  0.1%  B16..8: 32.2%  5.4%  1.1%  direct: 2.6%  skip:57.8%  L0:32.9% L1:60.5% BI: 6.6%
[libx264 @ 0x102873000] 8x8 transform intra:65.5% inter:77.3%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 43.6% 62.3% 18.4% inter: 18.0% 25.6% 1.0%
[libx264 @ 0x102873000] i16 v,h,dc,p: 33% 31%  6% 31%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 25% 21% 22%  4%  6%  6%  7%  5%  4%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  7%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 18%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:14.2% UV:10.2%
[libx264 @ 0x102873000] ref P L0: 65.5% 18.6% 11.5%  4.0%  0.3%
[libx264 @ 0x102873000] ref B L0: 87.7% 12.3%
[libx264 @ 0x102873000] ref B L1: 99.7%  0.3%
[libx264 @ 0x102873000] kb/s:979.60

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

comment:12 follow-up: Changed 4 years ago by cehoyos

Do you already know why the output of "ffmpeg -i output_handbrake.mkv" looks different for me?

You can try "-map_metadata -1" (an output option) and "-flags +bitexact".

Which format(s) does your hdd recorder support? Both mp4 and mkv?

comment:13 in reply to: ↑ 12 Changed 4 years ago by bonconboy

Do you already know why the output of "ffmpeg -i output_handbrake.mkv" looks different for me?

No, I cannot find the cause.

You can try "-map_metadata -1" (an output option) and "-flags +bitexact".

Thank you for the suggestion. I tried and pasted their consoles in the below.
The results don't cahange.

Which format(s) does your hdd recorder support? Both mp4 and mkv?

My explanation of multiAVCHD(http://www.videohelp.com/tools/multiAVCHD) may not be enough. multiAVCHD converts movie files to AVCHD format, where each file is m2ts.

I found something strange. Files "output_ffmpeg" converted to AVCHD are recognized as 12 seconds by multiAVCHD. On the other hand, Files "output_handbrake"; 14 second. The result is pasted in the below.
00000.MTS from output ffmpeg.mkv
00001.MTS from output ffmpeg bitexact.mkv
00002.MTS from output ffmpeg map.mkv
00003.MTS from output handbrake.mkv

output_ffmpeg_map console

ffmpeg  -i input.mp4   -t 00:00:15 -map_metadata -1 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 64000 -r 29.97 output_ffmpeg_map.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'output_ffmpeg_map.mkv':
  Metadata:
    encoder         : Lavf54.59.100
    Stream #0:0: Video: h264, yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 1k tbn, 29.97 tbc
    Stream #0:1: Audio: ac3, 48000 Hz, stereo, fltp, 64 kb/s
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   66 fps=0.0 q=29.0 size=       1kB time=00:00:02.93 bitrate=   1.7kbits/frame=  120 fps=120 q=29.0 size=     174kB time=00:00:04.89 bitrate= 292.0kbits/frame=  178 fps=118 q=29.0 size=     337kB time=00:00:07.32 bitrate= 377.3kbits/frame=  234 fps=116 q=28.0 size=     480kB time=00:00:09.75 bitrate= 403.0kbits/frame=  278 fps=110 q=29.0 size=     736kB time=00:00:11.22 bitrate= 536.9kbits/frame=  312 fps=103 q=29.0 size=    1052kB time=00:00:12.66 bitrate= 680.2kbits/frame=  352 fps=100 q=29.0 size=    1374kB time=00:00:14.13 bitrate= 796.0kbits/frame=  375 fps= 91 q=-1.0 Lsize=    1920kB time=00:00:15.00 bitrate=1048.6kbits/s    
video:1797kB audio:117kB subtitle:0 global headers:0kB muxing overhead 0.344422%
[libx264 @ 0x102873000] frame I:9     Avg QP:21.70  size: 16250
[libx264 @ 0x102873000] frame P:254   Avg QP:23.82  size:  5820
[libx264 @ 0x102873000] frame B:112   Avg QP:24.80  size:  1916
[libx264 @ 0x102873000] consecutive B-frames: 44.3% 47.5%  0.8%  7.5%
[libx264 @ 0x102873000] mb I  I16..4: 17.6% 66.6% 15.8%
[libx264 @ 0x102873000] mb P  I16..4:  6.9% 15.5%  1.7%  P16..4: 34.4% 10.8%  4.5%  0.0%  0.0%    skip:26.3%
[libx264 @ 0x102873000] mb B  I16..4:  0.3%  0.5%  0.1%  B16..8: 32.0%  5.3%  1.1%  direct: 2.6%  skip:58.2%  L0:32.7% L1:60.6% BI: 6.7%
[libx264 @ 0x102873000] 8x8 transform intra:64.6% inter:77.1%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 42.8% 61.5% 18.5% inter: 17.8% 25.1% 1.1%
[libx264 @ 0x102873000] i16 v,h,dc,p: 35% 30%  6% 29%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 24% 22% 22%  4%  6%  6%  7%  5%  5%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  7%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 19%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:14.2% UV:10.2%
[libx264 @ 0x102873000] ref P L0: 65.4% 18.6% 11.6%  4.1%  0.3%
[libx264 @ 0x102873000] ref B L0: 88.8% 11.2%
[libx264 @ 0x102873000] ref B L1: 99.8%  0.2%
[libx264 @ 0x102873000] kb/s:982.01

output_ffmpeg_bitexact. console

ffmpeg  -i input.mp4   -t 00:00:15 -flags +bitexact -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 64000 -r 29.97 output_ffmpeg_bitexact.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'output_ffmpeg_bitexact.mkv':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    Stream #0:0(und): Video: h264, yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 1k tbn, 29.97 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, fltp, 64 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   67 fps=0.0 q=27.0 size=       1kB time=00:00:02.93 bitrate=   2.6kbits/frame=  120 fps=119 q=29.0 size=     175kB time=00:00:04.89 bitrate= 292.5kbits/frame=  180 fps=119 q=29.0 size=     370kB time=00:00:07.32 bitrate= 413.4kbits/frame=  239 fps=118 q=28.0 size=     512kB time=00:00:09.75 bitrate= 430.1kbits/frame=  286 fps=113 q=29.0 size=     828kB time=00:00:11.70 bitrate= 579.4kbits/frame=  318 fps=105 q=29.0 size=    1116kB time=00:00:13.17 bitrate= 693.7kbits/frame=  356 fps=101 q=29.0 size=    1406kB time=00:00:14.61 bitrate= 788.0kbits/frame=  375 fps= 90 q=-1.0 Lsize=    1921kB time=00:00:15.00 bitrate=1048.8kbits/s    
video:1797kB audio:117kB subtitle:0 global headers:0kB muxing overhead 0.360954%
[libx264 @ 0x102873000] frame I:9     Avg QP:21.70  size: 16250
[libx264 @ 0x102873000] frame P:254   Avg QP:23.82  size:  5820
[libx264 @ 0x102873000] frame B:112   Avg QP:24.80  size:  1916
[libx264 @ 0x102873000] consecutive B-frames: 44.3% 47.5%  0.8%  7.5%
[libx264 @ 0x102873000] mb I  I16..4: 17.6% 66.6% 15.8%
[libx264 @ 0x102873000] mb P  I16..4:  6.9% 15.5%  1.7%  P16..4: 34.4% 10.8%  4.5%  0.0%  0.0%    skip:26.3%
[libx264 @ 0x102873000] mb B  I16..4:  0.3%  0.5%  0.1%  B16..8: 32.0%  5.3%  1.1%  direct: 2.6%  skip:58.2%  L0:32.7% L1:60.6% BI: 6.7%
[libx264 @ 0x102873000] 8x8 transform intra:64.6% inter:77.1%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 42.8% 61.5% 18.5% inter: 17.8% 25.1% 1.1%
[libx264 @ 0x102873000] i16 v,h,dc,p: 35% 30%  6% 29%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 24% 22% 22%  4%  6%  6%  7%  5%  5%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  7%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 19%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:14.2% UV:10.2%
[libx264 @ 0x102873000] ref P L0: 65.4% 18.6% 11.6%  4.1%  0.3%
[libx264 @ 0x102873000] ref B L0: 88.8% 11.2%
[libx264 @ 0x102873000] ref B L1: 99.8%  0.2%
[libx264 @ 0x102873000] kb/s:982.01

multiAVCHD console

[19:01:50] Initialising...
[19:01:51] Checking for new version...
[19:01:52] You have the latest build.
[19:01:52] [04/07/2012] build 771 (latest is: 771) - Few minor fixes (runtime/line 109 errors). Changed handling of some rare flavours of video in MP4 container.
[19:01:52] Consistency check finished!
[19:01:52] Initialization finished. multiAVCHD is ready!

[19:01:52] 4 years and 15 days since multiAVCHD was published.
[19:01:52] 516 people supported it with donations
[19:01:52] and you are the 218025 one to launch the program...
[19:01:52] Support multiAVCHD to extend its features and keep it going!


[19:01:52] multiAVCHD.dat version: [04010767]

[19:03:36] Checking for available space and drive types (FAT32/NTFS)...
[19:03:37] Destination [c:]: NTFS, 16293.89 MiB (15.912 GiB) free space
[19:03:37] Temp folder [c:]: NTFS, 16293.89 MiB (15.912 GiB) free space

[19:03:37] Log started for multiAVCHD v4.1 (build 771) 
[19:03:37] Selected output mode: Panasonic Blu-ray player (SDHC)

[19:03:37] Processing 4 titles...
[19:03:37] Processing (V:\281112CHD\output_ffmpeg.mkv)...
[19:03:37] Detected frame reference count: 4 (max:5).
[19:03:37] Detected video: ID#1:V_MPEG4/ISO/AVC 720x480, fps=29.970, ref=4
[19:03:37] Display properties: 853x480 (AR:1.78)
[19:03:37] Detected audio: ID#2:A_AC3 (48000Hz 32bit 2ch 128kbps) Language: und
[19:03:37] Added audio: A_AC3, "V:\281112CHD\output_ffmpeg.mkv", track=2, lang=und, timeshift=65531ms
[19:03:37] M2TS stream split set at 4000MiB...
[19:03:37] Creating clip and playlist info (tsMuxeR)...

        tsMuxeR (Version 1.10.6) output:
===============================================================================
Decoding H264 stream (track 1): Profile: High@3.0  Resolution: 720:480p  Frame rate: 29.97
H.264 stream does not contain fps field. Muxing fps=29.97
H264 bitstream changed: insert nal unit delimiters
H264 bitstream changed: insert pict timing and buffering period SEI units
B-pyramid level 1 detected. Shift DTS to 2 frames
H264 bitstream changed: insert SPS/PPS units
Processed 375 video frames
Decoding AC3 stream (track 2): Bitrate: 96Kbps Sample Rate: 48KHz Channels: 2
Creation of Blu-ray playlist
Creation of Blu-ray stream info and seek index
Mux successful complete.
Muxing time: 0 sec
===============================================================================

===============================================================================
        tsMuxeR meta:
===============================================================================
MUXOPT --no-pcr-on-video-pid --new-audio-pes --blu-ray --vbr --custom-chapters=00:00:00.000  --split-size=4000MiB  --vbv-len=500 
V_MPEG4/ISO/AVC, "V:\281112CHD\output_ffmpeg.mkv", insertSEI, contSPS, track=1, lang=eng, fps=29.970
A_AC3, "V:\281112CHD\output_ffmpeg.mkv", track=2, lang=und, timeshift=65531ms
===============================================================================
[19:03:37] Media transfer: 00000 -> 00000.m2ts
[19:03:37] Processing playlist...
[19:03:37] Title #1 added: "output ffmpeg"
[19:03:37] Verifying title...
[19:03:38] Title has: 1 audio tracks and 0 subtitle tracks

[19:03:38] Processing (V:\281112CHD\output_ffmpeg_bitexact.mkv)...
[19:03:38] Detected frame reference count: 4 (max:5).
[19:03:38] Detected video: ID#1:V_MPEG4/ISO/AVC 720x480, fps=29.970, ref=4
[19:03:38] Display properties: 853x480 (AR:1.78)
[19:03:38] Detected audio: ID#2:A_AC3 (48000Hz 32bit 2ch 128kbps) Language: und
[19:03:38] Added audio: A_AC3, "V:\281112CHD\output_ffmpeg_bitexact.mkv", track=2, lang=und, timeshift=65531ms
[19:03:38] M2TS stream split set at 4000MiB...
[19:03:38] Creating clip and playlist info (tsMuxeR)...

        tsMuxeR (Version 1.10.6) output:
===============================================================================
Decoding H264 stream (track 1): Profile: High@3.0  Resolution: 720:480p  Frame rate: 29.97
H.264 stream does not contain fps field. Muxing fps=29.97
H264 bitstream changed: insert nal unit delimiters
H264 bitstream changed: insert pict timing and buffering period SEI units
B-pyramid level 1 detected. Shift DTS to 2 frames
H264 bitstream changed: insert SPS/PPS units
Processed 375 video frames
Decoding AC3 stream (track 2): Bitrate: 64Kbps Sample Rate: 48KHz Channels: 2
Creation of Blu-ray playlist
Creation of Blu-ray stream info and seek index
Mux successful complete.
Muxing time: 0 sec
===============================================================================

===============================================================================
        tsMuxeR meta:
===============================================================================
MUXOPT --no-pcr-on-video-pid --new-audio-pes --blu-ray --vbr --custom-chapters=00:00:00.000  --split-size=4000MiB  --vbv-len=500 
V_MPEG4/ISO/AVC, "V:\281112CHD\output_ffmpeg_bitexact.mkv", insertSEI, contSPS, track=1, lang=eng, fps=29.970
A_AC3, "V:\281112CHD\output_ffmpeg_bitexact.mkv", track=2, lang=und, timeshift=65531ms
===============================================================================
[19:03:39] Media transfer: 00000 -> 00001.m2ts
[19:03:39] Processing playlist...
[19:03:39] Title #2 added: "output ffmpeg bitexact"
[19:03:39] Verifying title...
[19:03:39] Title has: 1 audio tracks and 0 subtitle tracks

[19:03:39] Processing (V:\281112CHD\output_ffmpeg_map.mkv)...
[19:03:39] Detected frame reference count: 4 (max:5).
[19:03:39] Detected video: ID#1:V_MPEG4/ISO/AVC 720x480, fps=29.970, ref=4
[19:03:39] Display properties: 853x480 (AR:1.78)
[19:03:39] Detected audio: ID#2:A_AC3 (48000Hz 32bit 2ch 128kbps) Language: und
[19:03:40] Added audio: A_AC3, "V:\281112CHD\output_ffmpeg_map.mkv", track=2, lang=und, timeshift=65531ms
[19:03:40] M2TS stream split set at 4000MiB...
[19:03:40] Creating clip and playlist info (tsMuxeR)...

        tsMuxeR (Version 1.10.6) output:
===============================================================================
Decoding H264 stream (track 1): Profile: High@3.0  Resolution: 720:480p  Frame rate: 29.97
H.264 stream does not contain fps field. Muxing fps=29.97
H264 bitstream changed: insert nal unit delimiters
H264 bitstream changed: insert pict timing and buffering period SEI units
B-pyramid level 1 detected. Shift DTS to 2 frames
H264 bitstream changed: insert SPS/PPS units
Processed 375 video frames
Decoding AC3 stream (track 2): Bitrate: 64Kbps Sample Rate: 48KHz Channels: 2
Creation of Blu-ray playlist
Creation of Blu-ray stream info and seek index
Mux successful complete.
Muxing time: 0 sec
===============================================================================

===============================================================================
        tsMuxeR meta:
===============================================================================
MUXOPT --no-pcr-on-video-pid --new-audio-pes --blu-ray --vbr --custom-chapters=00:00:00.000  --split-size=4000MiB  --vbv-len=500 
V_MPEG4/ISO/AVC, "V:\281112CHD\output_ffmpeg_map.mkv", insertSEI, contSPS, track=1, lang=eng, fps=29.970
A_AC3, "V:\281112CHD\output_ffmpeg_map.mkv", track=2, lang=und, timeshift=65531ms
===============================================================================
[19:03:40] Media transfer: 00000 -> 00002.m2ts
[19:03:40] Processing playlist...
[19:03:40] Title #3 added: "output ffmpeg map"
[19:03:40] Verifying title...
[19:03:40] Title has: 1 audio tracks and 0 subtitle tracks

[19:03:41] Processing (V:\281112CHD\output_handbrake.mkv)...
[19:03:41] Detected frame reference count: 4 (max:5).
[19:03:41] Detected video: ID#1:V_MPEG4/ISO/AVC 720x480, fps=29.970, ref=4
[19:03:41] Display properties: 853x480 (AR:1.78)
[19:03:41] Detected audio: ID#2:A_AC3 (48000Hz 2ch 128kbps) Language: und
[19:03:41] Added audio: A_AC3, "V:\281112CHD\output_handbrake.mkv", track=2, lang=und, timeshift=0ms
[19:03:41] M2TS stream split set at 4000MiB...
[19:03:41] Creating clip and playlist info (tsMuxeR)...

        tsMuxeR (Version 1.10.6) output:
===============================================================================
Decoding H264 stream (track 1): Profile: High@3.0  Resolution: 720:480p  Frame rate: 29.97
H.264 stream does not contain fps field. Muxing fps=29.97
H264 bitstream changed: insert nal unit delimiters
H264 bitstream changed: insert pict timing and buffering period SEI units
Decoding AC3 stream (track 2): Bitrate: 96Kbps Sample Rate: 48KHz Channels: 2
B-pyramid level 1 detected. Shift DTS to 2 frames
H264 bitstream changed: insert SPS/PPS units
Processed 449 video frames
Creation of Blu-ray playlist
Creation of Blu-ray stream info and seek index
Mux successful complete.
Muxing time: 0 sec
===============================================================================

===============================================================================
        tsMuxeR meta:
===============================================================================
MUXOPT --no-pcr-on-video-pid --new-audio-pes --blu-ray --vbr --custom-chapters=00:00:00.000  --split-size=4000MiB  --vbv-len=500 
V_MPEG4/ISO/AVC, "V:\281112CHD\output_handbrake.mkv", insertSEI, contSPS, track=1, lang=eng, fps=29.970
A_AC3, "V:\281112CHD\output_handbrake.mkv", track=2, lang=und, timeshift=0ms
===============================================================================
[19:03:41] Media transfer: 00000 -> 00003.m2ts
[19:03:41] Processing playlist...
[19:03:41] Title #4 added: "output handbrake"
[19:03:41] Verifying title...
[19:03:42] Title has: 1 audio tracks and 0 subtitle tracks

[19:03:42] Preparing authoring information...

[19:03:42] Authoring menu (NTSC).
[19:03:42] Creating title thumbnails for 4 titles (XMB)...
[19:03:43] Using 1 thumbnail/chapter links for title #1...
[19:03:43]  *** Extracting 1 chapter thumbnails...
[19:03:43]  *** Chapter #1 [00:00:00.000] set for thumbnail at [00:00:07.532]
[19:03:45] Using 1 thumbnail/chapter links for title #2...
[19:03:45]  *** Extracting 1 chapter thumbnails...
[19:03:45]  *** Chapter #1 [00:00:00.000] set for thumbnail at [00:00:07.532]
[19:03:47] Using 1 thumbnail/chapter links for title #3...
[19:03:47]  *** Extracting 1 chapter thumbnails...
[19:03:47]  *** Chapter #1 [00:00:00.000] set for thumbnail at [00:00:07.532]
[19:03:49] Using 1 thumbnail/chapter links for title #4...
[19:03:49]  *** Extracting 1 chapter thumbnails...
[19:03:49]  *** Chapter #1 [00:00:00.000] set for thumbnail at [00:00:07.483]
[19:03:49] Image processing for XMB menu completed!
[19:03:50] Setting main menu for 4 titles...
[19:03:50] Playback will start with title #1 (output ffmpeg).
[19:03:50] Setting menu properties...
[19:03:50] Selected TV system: [NTSC]
[19:03:50] Processing clip (CPI/CLPI) files...
[19:03:50] Completed.
[19:03:50] Applying SDHC parameters...
[19:03:50] Preparing AVCHDTN database...
[19:03:50] Database and index created!
[19:03:50] Setting FAT compatible 8.3 filenames...
[19:03:51] Done!

[19:03:51] Saving multiAVCHD quick-load project (mpf):
[19:03:51] c:\multiAVCHD\AVCHD\multiAVCHD.mpf (OK!)

        Compilation summary:
        Format: Panasonic Blu-ray player (SDHC)
        Name  : multiAVCHD
===============================================================================
        1. output ffmpeg                            [00:00:12]
        2. output ffmpeg bitexact                   [00:00:12]
        3. output ffmpeg map                        [00:00:12]
        4. output handbrake                         [00:00:14]
===============================================================================
        Overall duration : 00:00:52
        Output size      : 9 MiB (0.009 GiB)

[19:03:51] c:\multiAVCHD\AVCHD folder created (AVCHD/Blu-ray output)!
[19:03:51] Copy c:\multiAVCHD\AVCHD to X:\PRIVATE\ of SDHC/SD/MMC card.
[19:03:51] or SD_VIDEO and PRIVATE to root of your SDHC/SD/MMC card.
[19:03:52] You may now remove temp folder (c:\multiAVCHD\_TEMP\multiTEMP-20130109\).
[19:03:52] Your compilation contains 0hrs 0min 52sec of video material.

[19:03:52] multiAVCHD finished in 14.875 seconds (00:00:14.875)!

[19:03:52] End of log.

[19:03:52] Cleaning up...
[19:03:52] Done!

===============================================================================
[19:03:52] For technical support, bug reports and questions:
[19:03:52] http://multiFORUM.deanBG.com/
[19:03:52] http://multiAVCHD.deanBG.com/
[19:03:52] http://multiAVCHD.deanBG.com/doom9/

[19:03:52] For latest download links and tools visit:
[19:03:52] http://multiFORUM.deanBG.com/downloads/
===============================================================================
Last edited 4 years ago by bonconboy (previous) (diff)

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

comment:14 follow-up: Changed 4 years ago by cehoyos

Sorry, but it appears I completely fail to understand your report;-(

Is the file output_handbrake.mkv (the one that you uploaded) played by your Panansonic HDD recorder?

Changed 4 years ago by bonconboy

Changed 4 years ago by bonconboy

comment:15 in reply to: ↑ 14 ; follow-up: Changed 4 years ago by bonconboy

Is the file output_handbrake.mkv (the one that you uploaded) played by your Panansonic HDD recorder?

Yes.

comment:16 in reply to: ↑ 15 ; follow-up: Changed 4 years ago by cehoyos

Replying to bonconboy:

Is the file output_handbrake.mkv (the one that you uploaded) played by your Panansonic HDD recorder?

Yes.

So why did you also attach mp4 samples and transport streams? Is the recorder also supposed to play mp4 and transport streams?

comment:17 in reply to: ↑ 16 ; follow-up: Changed 4 years ago by bonconboy

So why did you also attach mp4 samples and transport streams? Is the recorder also supposed to play mp4 and transport streams?

Thank you for your attention.

Panansonic HDD recorder supports AVCHD, neither mp4 nor mkv.
As a result, I converted mp4 or mkv made by ffmpeg to AVCHD by multiAVCHD.
AVCHD consists of transport streams(m2ts).

The reason for attaching mp4 and transport streams is that I think these are helpful.
The above problem arise even when converting mp4 made by ffmpeg to AVCHD.

comment:18 in reply to: ↑ 17 ; follow-up: Changed 4 years ago by cehoyos

Replying to bonconboy:

Panansonic HDD recorder supports AVCHD, neither mp4 nor mkv.

I asked you in comment:14:

Is the file output_handbrake.mkv (the one that you uploaded) played by your Panansonic HDD recorder?

Your answer in comment:15 was:

Yes.

(This contradicts what your wrote in comment:17)

I suggest one of two things now:
You could either try again (from scratch) to explain here what your problem (with FFmpeg) is - I was so far unable to understand it - or you open a new ticket and I close this one.

comment:19 in reply to: ↑ 18 ; follow-up: Changed 4 years ago by bonconboy

Sorry for the confusion and thank for the suggestion.

Movie files made by ffmpeg cannot be playbacked with Panansonic HDD recorder.
Stop, playback, and black screen are repeated. Sometimes, movie files cannot be playbacked at all.

On the other hand, movie files made by handbrake are smoothly playbacked with panasonic hdd recoder.

My step
Step 1
Making mkv or mp4 files by ffmpeg

Step 2
Converting the file to AVCHD(M2TS) by multiAVCHD.

http://www.videohelp.com/tools/multiAVCHD

Step3
Playbaking the AVCHD(M2TS) with Panansonic HDD recorder

I have found something strange when making m2ts files by ffmpeg.
Should I explain it here or in new tickets?

comment:20 in reply to: ↑ 19 ; follow-up: Changed 4 years ago by cehoyos

Replying to bonconboy:

Step 2
Converting the file to AVCHD(M2TS) by multiAVCHD.

http://www.videohelp.com/tools/multiAVCHD

So are you actually trying to report a bug in multiAVCHD here?

comment:21 in reply to: ↑ 20 Changed 4 years ago by bonconboy

Replying to cehoyos:

So are you actually trying to report a bug in multiAVCHD here?

I cannot identified whether it is a bug in multiAVCHD or whether it is a bug in ffmpeg.
Though the above problem doesn't appear in using handbrake in Step 1, is the above problem the bug of multiAVCHD?

comment:22 Changed 4 years ago by cehoyos

What is the difference between 00000.MTS, 00001.MTS, 00002.MTS and 00003.MTS ?
They look very similar to me.

comment:23 Changed 4 years ago by bonconboy

00000.MTS from output ffmpeg.mkv

ffmpeg  -i input.mp4   -t 00:00:15 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 64000 -r 29.97 output_ffmpeg_bitexact.mkv

00001.MTS from output ffmpeg bitexact.mkv (the option suggested here is added)

ffmpeg  -i input.mp4   -t 00:00:15 -flags +bitexact -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 64000 -r 29.97 output_ffmpeg_bitexact.mkv

00002.MTS from output ffmpeg map.mkv (the option suggested here is added)

ffmpeg  -i input.mp4   -t 00:00:15 -map_metadata -1 -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 64000 -r 29.97 output_ffmpeg_map.mkv

00003.MTS from output handbrake.mkv (handbrake used in Step 1)

As mentioned in comment:13, multiAVCHD, which uses tsMuxR, recognizes that 00000.MTS,00001.MTS, and 00002.MTS are 12 seconds.
On the other hand, 00003.MTS are 14 seconds. And only 00003.MTS is smoothly playbacked with panasonic hdd recoder.

comment:24 follow-up: Changed 4 years ago by cehoyos

Thank you for explaining!

Assuming 00003.MTS plays fine on your device, does playback for the output file of the following command also work fine?
$ ffmpeg -i 00003.MTS -vcodec copy -acodec copy out.m2ts

comment:25 in reply to: ↑ 24 Changed 4 years ago by bonconboy

Thank you for explaining!

You are welcome!

$ ffmpeg -i 00003.MTS -vcodec copy -acodec copy out.m2ts

Fine! though an alert appears.
[mpegts @ 0x10288de00] st:0 PTS: 480479 DTS: 480479 < 480480 invalid, clipping

ffmpeg  -i 00003.MTS -vcodec copy -acodec copy 00003_MTS_to_m2ts.m2ts
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[mpegts @ 0x10280ec00] max_analyze_duration 5000000 reached at 5005000
Input #0, mpegts, from '00003.MTS':
  Duration: 00:00:15.01, start: 599.966644, bitrate: 1231 kb/s
  Program 1 
    Stream #0:0[0x1011](eng): Video: h264 (High) ([27][0][0][0] / 0x001B), yuv420p, 720x480 [SAR 32:27 DAR 16:9], 29.97 fps, 29.97 tbr, 90k tbn, 59.94 tbc
    Stream #0:1[0x1100](und): Audio: ac3 (AC-3 / 0x332D4341), 48000 Hz, stereo, fltp, 96 kb/s
Output #0, mpegts, to '00003_MTS_to_m2ts.m2ts':
  Metadata:
    encoder         : Lavf54.59.100
    Stream #0:0(eng): Video: h264 ([27][0][0][0] / 0x001B), yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=2-31, 29.97 fps, 90k tbn, 29.97 tbc
    Stream #0:1(und): Audio: ac3 (AC-3 / 0x332D4341), 48000 Hz, stereo, 96 kb/s
Stream mapping:
  Stream #0:0 -> #0:0 (copy)
  Stream #0:1 -> #0:1 (copy)
Press [q] to stop, [?] for help
[mpegts @ 0x10288de00] st:0 PTS: 480479 DTS: 480479 < 480480 invalid, clipping
frame=  449 fps=0.0 q=-1.0 Lsize=    2239kB time=00:00:15.04 bitrate=1219.6kbits/s    
video:1802kB audio:176kB subtitle:0 global headers:0kB muxing overhead 13.233755%

I paste additional results of some tests though it may lead to confusion.
Converting both mp4 and mkv files made by ffmpeg to m2ts files by ffmpeg, both mp4 and mkv files are smoothly playbacked in Step 3. But the m2ts file converting from the mkv file by ffmpeg is recognized as 1 minite 20 seconds and the last 2 seconds of it isn't playbacked by panasonic hdd recorder in Step 3.
Making mp4 by ffmpeg

ffmpeg  -i input.mp4  -t 15  -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 96000 o_ff_mp4.mp4
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, mp4, to 'o_ff_mp4.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264 ([33][0][0][0] / 0x0021), yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 11988 tbn, 29.97 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3 ([165][0][0][0] / 0x00A5), 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   78 fps=0.0 q=29.0 size=      49kB time=00:00:02.45 bitrate= 162.3kbits/frame=  145 fps=144 q=29.0 size=     225kB time=00:00:04.89 bitrate= 376.5kbits/frame=  210 fps=140 q=29.0 size=     417kB time=00:00:07.32 bitrate= 466.7kbits/frame=  277 fps=138 q=29.0 size=     577kB time=00:00:09.27 bitrate= 509.8kbits/frame=  328 fps=130 q=29.0 size=     844kB time=00:00:11.22 bitrate= 616.1kbits/frame=  370 fps=122 q=29.0 size=    1155kB time=00:00:12.66 bitrate= 746.7kbits/frame=  418 fps=119 q=29.0 size=    1463kB time=00:00:14.13 bitrate= 847.9kbits/frame=  450 fps=108 q=-1.0 Lsize=    1956kB time=00:00:15.00 bitrate=1067.9kbits/s dup=75 drop=0    
video:1770kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.483340%
[libx264 @ 0x102873000] frame I:10    Avg QP:21.48  size: 14929
[libx264 @ 0x102873000] frame P:295   Avg QP:23.69  size:  4984
[libx264 @ 0x102873000] frame B:145   Avg QP:25.69  size:  1329
[libx264 @ 0x102873000] consecutive B-frames: 40.7% 48.0%  3.3%  8.0%
[libx264 @ 0x102873000] mb I  I16..4: 17.6% 67.6% 14.7%
[libx264 @ 0x102873000] mb P  I16..4:  5.7% 12.9%  1.4%  P16..4: 31.8%  9.3%  4.0%  0.0%  0.0%    skip:34.8%
[libx264 @ 0x102873000] mb B  I16..4:  0.2%  0.3%  0.1%  B16..8: 25.6%  3.7%  0.7%  direct: 1.7%  skip:67.6%  L0:30.1% L1:64.4% BI: 5.5%
[libx264 @ 0x102873000] 8x8 transform intra:64.7% inter:77.3%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 42.7% 60.8% 18.1% inter: 14.1% 20.1% 0.8%
[libx264 @ 0x102873000] i16 v,h,dc,p: 35% 30%  6% 30%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 24% 22% 22%  4%  6%  6%  7%  5%  4%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  8%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 18%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:12.5% UV:8.8%
[libx264 @ 0x102873000] ref P L0: 65.6% 18.3% 11.6%  4.2%  0.3%
[libx264 @ 0x102873000] ref B L0: 87.7% 12.3%  0.0%
[libx264 @ 0x102873000] ref B L1: 99.7%  0.3%
[libx264 @ 0x102873000] kb/s:965.54

Converting mp4 to m2ts

ffmpeg  -i o_ff_mp4.mp4 -bsf h264_mp4toannexb -vcodec copy -acodec copy o_ff_mp4_to_m2ts.m2ts
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'o_ff_mp4.mp4':
  Metadata:
    major_brand     : isom
    minor_version   : 512
    compatible_brands: isomiso2avc1mp41
    encoder         : Lavf54.59.100
  Duration: 00:00:15.02, start: 0.005333, bitrate: 1066 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 720x480 [SAR 32:27 DAR 16:9], 965 kb/s, 29.97 fps, 29.97 tbr, 11988 tbn, 59.94 tbc
    Metadata:
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3 (ac-3 / 0x332D6361), 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      handler_name    : SoundHandler
Output #0, mpegts, to 'o_ff_mp4_to_m2ts.m2ts':
  Metadata:
    major_brand     : isom
    minor_version   : 512
    compatible_brands: isomiso2avc1mp41
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264 (avc1 / 0x31637661), yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=2-31, 965 kb/s, 29.97 fps, 90k tbn, 29.97 tbc
    Metadata:
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3 (ac-3 / 0x332D6361), 48000 Hz, stereo, 96 kb/s
    Metadata:
      handler_name    : SoundHandler
Stream mapping:
  Stream #0:0 -> #0:0 (copy)
  Stream #0:1 -> #0:1 (copy)
Press [q] to stop, [?] for help
frame=  450 fps=0.0 q=-1.0 Lsize=    2207kB time=00:00:15.00 bitrate=1204.9kbits/s    
video:1770kB audio:176kB subtitle:0 global headers:0kB muxing overhead 13.419583%

Making mkv by ffmpeg

ffmpeg  -i input.mp4  -t 15  -vf "fifo, scale= 720:480" -vcodec libx264 -aspect 16:9 -r 29.97 -acodec ac3 -ac 2 -ar 48000 -ab 96000 o_ff_mkv.mkv
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'input.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    creation_time   : 2013-01-02 11:53:23
  Duration: 00:04:11.16, start: 0.000000, bitrate: 5772 kb/s
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 1920x1080, 5578 kb/s, 25 fps, 25 tbr, 50 tbn, 50 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 192 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
[libx264 @ 0x102873000] using SAR=32/27
[libx264 @ 0x102873000] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle SSE4.2 AVX
[libx264 @ 0x102873000] profile High, level 3.0
[libx264 @ 0x102873000] 264 - core 129 - H.264/MPEG-4 AVC codec - Copyleft 2003-2012 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=12 lookahead_threads=2 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'o_ff_mkv.mkv':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264, yuv420p, 720x480 [SAR 32:27 DAR 16:9], q=-1--1, 1k tbn, 29.97 tbc
    Metadata:
      creation_time   : 1970-01-01 00:00:00
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, fltp, 96 kb/s
    Metadata:
      creation_time   : 2013-01-02 11:53:24
      handler_name    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> libx264)
  Stream #0:1 -> #0:1 (aac -> ac3)
Press [q] to stop, [?] for help
frame=   68 fps=0.0 q=28.0 size=       1kB time=00:00:02.93 bitrate=   2.8kbits/frame=  125 fps=124 q=29.0 size=     194kB time=00:00:05.14 bitrate= 308.7kbits/frame=  181 fps=120 q=29.0 size=     385kB time=00:00:07.32 bitrate= 430.4kbits/frame=  240 fps=120 q=29.0 size=     538kB time=00:00:09.75 bitrate= 452.1kbits/frame=  285 fps=113 q=29.0 size=     862kB time=00:00:11.70 bitrate= 603.5kbits/frame=  321 fps=106 q=29.0 size=    1182kB time=00:00:13.17 bitrate= 735.0kbits/frame=  364 fps=103 q=27.0 size=    1513kB time=00:00:14.61 bitrate= 847.9kbits/frame=  375 fps= 93 q=-1.0 Lsize=    1979kB time=00:00:15.00 bitrate=1080.8kbits/s    
video:1797kB audio:176kB subtitle:0 global headers:0kB muxing overhead 0.354533%
[libx264 @ 0x102873000] frame I:9     Avg QP:21.70  size: 16250
[libx264 @ 0x102873000] frame P:254   Avg QP:23.82  size:  5820
[libx264 @ 0x102873000] frame B:112   Avg QP:24.80  size:  1916
[libx264 @ 0x102873000] consecutive B-frames: 44.3% 47.5%  0.8%  7.5%
[libx264 @ 0x102873000] mb I  I16..4: 17.6% 66.6% 15.8%
[libx264 @ 0x102873000] mb P  I16..4:  6.9% 15.5%  1.7%  P16..4: 34.4% 10.8%  4.5%  0.0%  0.0%    skip:26.3%
[libx264 @ 0x102873000] mb B  I16..4:  0.3%  0.5%  0.1%  B16..8: 32.0%  5.3%  1.1%  direct: 2.6%  skip:58.2%  L0:32.7% L1:60.6% BI: 6.7%
[libx264 @ 0x102873000] 8x8 transform intra:64.6% inter:77.1%
[libx264 @ 0x102873000] coded y,uvDC,uvAC intra: 42.8% 61.5% 18.5% inter: 17.8% 25.1% 1.1%
[libx264 @ 0x102873000] i16 v,h,dc,p: 35% 30%  6% 29%
[libx264 @ 0x102873000] i8 v,h,dc,ddl,ddr,vr,hd,vl,hu: 24% 22% 22%  4%  6%  6%  7%  5%  5%
[libx264 @ 0x102873000] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 30% 22% 13%  4%  8%  7%  8%  5%  3%
[libx264 @ 0x102873000] i8c dc,h,v,p: 56% 21% 19%  5%
[libx264 @ 0x102873000] Weighted P-Frames: Y:14.2% UV:10.2%
[libx264 @ 0x102873000] ref P L0: 65.4% 18.6% 11.6%  4.1%  0.3%
[libx264 @ 0x102873000] ref B L0: 88.8% 11.2%
[libx264 @ 0x102873000] ref B L1: 99.8%  0.2%
[libx264 @ 0x102873000] kb/s:982.01

Converting mkv to m2ts by ffmpeg

ffmpeg  -i o_ff_mkv.mkv -bsf h264_mp4toannexb -vcodec copy -acodec copy o_ff_mkv_to_m2ts.m2ts
ffmpeg version 1.0.git-5a2f3f0 Copyright (c) 2000-2013 the FFmpeg developers
  built on Jan  2 2013 18:09:20 with gcc 4.7.2 (MacPorts gcc47 4.7.2_2)
  configuration: --prefix=/sw --cc=gcc-mp-4.7 --cxx=g++-mp-4.7 --extra-cflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --extra-cxxflags='-mtune=native -mno-avx -mfpmath=sse -msse4.2' --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-libfaac --enable-libopenjpeg --enable-libschroedinger --enable-libmodplug --enable-libxvid --enable-libfreetype --enable-openssl --enable-avfilter --enable-filters --arch=x86_64 --cpu=corei7-avx --enable-libass --enable-libbluray --enable-libopencore_amrwb --enable-libopencore_amrnb
  libavutil      52. 13.100 / 52. 13.100
  libavcodec     54. 85.100 / 54. 85.100
  libavformat    54. 59.100 / 54. 59.100
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 30.102 /  3. 30.102
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
Input #0, matroska,webm, from 'o_ff_mkv.mkv':
  Metadata:
    MAJOR_BRAND     : mp42
    MINOR_VERSION   : 0
    COMPATIBLE_BRANDS: isommp42
    ENCODER         : Lavf54.59.100
  Duration: 00:00:15.07, start: 0.000000, bitrate: 1076 kb/s
    Stream #0:0(und): Video: h264 (High), yuv420p, 720x480 [SAR 32:27 DAR 16:9], SAR 186:157 DAR 279:157, 29.97 fps, 29.97 tbr, 1k tbn, 59.94 tbc (default)
    Metadata:
      CREATION_TIME   : 1970-01-01 00:00:00
      LANGUAGE        : und
      HANDLER_NAME    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, fltp, 96 kb/s (default)
    Metadata:
      CREATION_TIME   : 2013-01-02 11:53:24
      LANGUAGE        : und
      HANDLER_NAME    : IsoMedia File Produced by Google, 5-11-2011
Output #0, mpegts, to 'o_ff_mkv_to_m2ts.m2ts':
  Metadata:
    MAJOR_BRAND     : mp42
    MINOR_VERSION   : 0
    COMPATIBLE_BRANDS: isommp42
    encoder         : Lavf54.59.100
    Stream #0:0(und): Video: h264, yuv420p, 720x480 [SAR 186:157 DAR 279:157], q=2-31, 29.97 fps, 90k tbn, 29.97 tbc (default)
    Metadata:
      CREATION_TIME   : 1970-01-01 00:00:00
      LANGUAGE        : und
      HANDLER_NAME    : VideoHandler
    Stream #0:1(und): Audio: ac3, 48000 Hz, stereo, 96 kb/s (default)
    Metadata:
      CREATION_TIME   : 2013-01-02 11:53:24
      LANGUAGE        : und
      HANDLER_NAME    : IsoMedia File Produced by Google, 5-11-2011
Stream mapping:
  Stream #0:0 -> #0:0 (copy)
  Stream #0:1 -> #0:1 (copy)
Press [q] to stop, [?] for help
frame=  375 fps=0.0 q=-1.0 Lsize=    2228kB time=00:00:15.07 bitrate=1211.0kbits/s    
video:1797kB audio:176kB subtitle:0 global headers:0kB muxing overhead 12.939667%

In another step, MediaInfo? recognizes
the mp4 file as Frame rate mode: Constant,FrameRate_Mode_Original: VFR
the mkv file as Frame rate mode: Variable / Variable,
while I set -r 29.97.
Why does this happen?

Changed 4 years ago by bonconboy

mp4 file made by ffmpeg

Changed 4 years ago by bonconboy

m2ts converted from mp4 file made by ffmpeg by ffmpeg

Changed 4 years ago by bonconboy

mkv file made by ffmpeg

Changed 4 years ago by bonconboy

m2ts converted from mkv file made by ffmpeg by ffmpeg

Note: See TracTickets for help on using tickets.